## org.exist.client.xacml
Class XACMLEditor

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Frame
                      javax.swing.JFrame
                          org.exist.client.xacml.XACMLEditor

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.event.ActionListener, java.util.EventListener, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.event.TreeModelListener, javax.swing.event.TreeSelectionListener, javax.swing.WindowConstants, java.awt.event.WindowListener

public class XACMLEditor
extends javax.swing.JFrame
implements java.awt.event.ActionListener, javax.swing.event.TreeModelListener, javax.swing.event.TreeSelectionListener, java.awt.event.WindowListener

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.JFrame
`EXIT_ON_CLOSE`

Fields inherited from class java.awt.Frame
`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`XACMLEditor(Collection systemCollection)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent event)`
`void` `close()`
`static com.sun.xacml.Policy` `createDefaultPolicy(PolicyElementContainer parent)`
`static com.sun.xacml.Policy` `createDefaultPolicy(java.lang.String policyID)`
`static com.sun.xacml.PolicySet` `createDefaultPolicySet(PolicyElementContainer parent)`
`static com.sun.xacml.PolicySet` `createDefaultPolicySet(java.lang.String policySetID)`
`static com.sun.xacml.Rule` `createDefaultRule(PolicyElementContainer parent)`
`static com.sun.xacml.Rule` `createDefaultRule(java.lang.String id)`
`static com.sun.xacml.Target` `createEmptyTarget()`
`static java.lang.String` `createUniqueId(PolicyElementContainer parent, java.lang.String base)`
`boolean` `hasUnsavedChanges()`
`void` `saveAll()`
`void` `treeNodesChanged(javax.swing.event.TreeModelEvent event)`
`void` `treeNodesInserted(javax.swing.event.TreeModelEvent event)`
`void` `treeNodesRemoved(javax.swing.event.TreeModelEvent event)`
`void` `treeStructureChanged(javax.swing.event.TreeModelEvent event)`
`void` `valueChanged(javax.swing.event.TreeSelectionEvent event)`
`void` `windowActivated(java.awt.event.WindowEvent event)`
`void` `windowClosed(java.awt.event.WindowEvent event)`
`void` `windowClosing(java.awt.event.WindowEvent event)`
`void` `windowDeactivated(java.awt.event.WindowEvent event)`
`void` `windowDeiconified(java.awt.event.WindowEvent event)`
`void` `windowIconified(java.awt.event.WindowEvent event)`
`void` `windowOpened(java.awt.event.WindowEvent event)`

Methods inherited from class javax.swing.JFrame
`getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, update`

Methods inherited from class java.awt.Frame
`addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, hide, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, show, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, remove, removeAll, removeContainerListener, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.awt.MenuContainer
`getFont, postEvent`

Constructor Detail

### XACMLEditor

    public XACMLEditor(Collection systemCollection)

Method Detail

### close

    public void close()

### hasUnsavedChanges

    public boolean hasUnsavedChanges()

### saveAll

    public void saveAll()

### createDefaultPolicySet

    public static com.sun.xacml.PolicySet createDefaultPolicySet(PolicyElementContainer parent)

### createDefaultPolicySet

    public static com.sun.xacml.PolicySet createDefaultPolicySet(java.lang.String policySetID)

### createEmptyTarget

    public static com.sun.xacml.Target createEmptyTarget()

### createDefaultPolicy

    public static com.sun.xacml.Policy createDefaultPolicy(PolicyElementContainer parent)

### createDefaultPolicy

    public static com.sun.xacml.Policy createDefaultPolicy(java.lang.String policyID)

### createDefaultRule

    public static com.sun.xacml.Rule createDefaultRule(PolicyElementContainer parent)

### createUniqueId

    public static java.lang.String createUniqueId(PolicyElementContainer parent,
                                                  java.lang.String base)

### createDefaultRule

    public static com.sun.xacml.Rule createDefaultRule(java.lang.String id)

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent event)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### valueChanged

    public void valueChanged(javax.swing.event.TreeSelectionEvent event)

  Specified by:
    `valueChanged` in interface `javax.swing.event.TreeSelectionListener`

### windowActivated

    public void windowActivated(java.awt.event.WindowEvent event)

  Specified by:
    `windowActivated` in interface `java.awt.event.WindowListener`

### windowClosed

    public void windowClosed(java.awt.event.WindowEvent event)

  Specified by:
    `windowClosed` in interface `java.awt.event.WindowListener`

### windowClosing

    public void windowClosing(java.awt.event.WindowEvent event)

  Specified by:
    `windowClosing` in interface `java.awt.event.WindowListener`

### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent event)

  Specified by:
    `windowDeactivated` in interface `java.awt.event.WindowListener`

### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent event)

  Specified by:
    `windowDeiconified` in interface `java.awt.event.WindowListener`

### windowIconified

    public void windowIconified(java.awt.event.WindowEvent event)

  Specified by:
    `windowIconified` in interface `java.awt.event.WindowListener`

### windowOpened

    public void windowOpened(java.awt.event.WindowEvent event)

  Specified by:
    `windowOpened` in interface `java.awt.event.WindowListener`

### treeNodesChanged

    public void treeNodesChanged(javax.swing.event.TreeModelEvent event)

  Specified by:
    `treeNodesChanged` in interface `javax.swing.event.TreeModelListener`

### treeNodesInserted

    public void treeNodesInserted(javax.swing.event.TreeModelEvent event)

  Specified by:
    `treeNodesInserted` in interface `javax.swing.event.TreeModelListener`

### treeNodesRemoved

    public void treeNodesRemoved(javax.swing.event.TreeModelEvent event)

  Specified by:
    `treeNodesRemoved` in interface `javax.swing.event.TreeModelListener`

### treeStructureChanged

    public void treeStructureChanged(javax.swing.event.TreeModelEvent event)

  Specified by:
    `treeStructureChanged` in interface `javax.swing.event.TreeModelListener`

Copyright (C) Wolfgang Meier. All rights reserved.